diff --git graphviz/graphviz.spec graphviz/graphviz.spec.tmp
index 8da606dcb2..b273a31f09 100644
--- graphviz/graphviz.spec
+++ graphviz/graphviz.spec.tmp
@@ -49,7 +49,7 @@
 Name:			graphviz
 Summary:		Graph Visualization Tools
 Version:		2.40.1
-Release:		8%{?dist}
+Release:		9%{?dist}
 Group:			Applications/Multimedia
 License:		EPL
 URL:			http://www.graphviz.org/
@@ -212,12 +212,15 @@ Requires:	php(api) = %{php_core_api}
 PHP extension for graphviz.
 %endif
 
-%package python
+%package -n python2-graphviz
+%{?python_provide:%python_provide python2-graphviz}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Group:			Applications/Multimedia
 Summary:		Python extension for graphviz
 Requires:		%{name} = %{version}-%{release}, python
 
-%description python
+%description -n python2-graphviz
 Python extension for graphviz.
 
 %if %{ARRRR}
@@ -519,7 +522,7 @@ rm -rf %{buildroot}
 %{_mandir}/man3/gv.3php*
 %endif
 
-%files python
+%files -n python2-graphviz
 %defattr(-,root,root,-)
 %{_libdir}/graphviz/python/
 %{_libdir}/python*/*
@@ -554,6 +557,10 @@ rm -rf %{buildroot}
 %{_mandir}/man3/*.3tcl*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.40.1-9
+- Python 2 subpackage renamed to python2-graphviz
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.40.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gstreamer-rtsp/gstreamer-rtsp.spec gstreamer-rtsp/gstreamer-rtsp.spec.tmp
index 81dec66d19..feb5e754fd 100644
--- gstreamer-rtsp/gstreamer-rtsp.spec
+++ gstreamer-rtsp/gstreamer-rtsp.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:		gstreamer-rtsp
 Version:	0.10.8
-Release:	14%{?dist}
+Release:	15%{?dist}
 Summary:	GStreamer RTSP server library
 
 Group:		Applications/Multimedia
@@ -36,14 +36,17 @@ Requires:	%{name} = %{version}-%{release}
 %description devel
 Development files for %{name}, the GStreamer RTSP server library.
 
-%package python
+%package -n python2-gstreamer-rtsp
+%{?python_provide:%python_provide python2-gstreamer-rtsp}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for %{name}
 Requires:	%{name} = %{version}-%{release}
 License:	LGPLv2+
 Requires:	gstreamer-python
 Requires:	%{name} = %{version}-%{release}
 
-%description python
+%description -n python2-gstreamer-rtsp
 Python bindings for %{name}, the GStreamer RTSP server library.
 
 %package vala
@@ -100,7 +103,7 @@ chrpath --delete %{buildroot}%{python_sitearch}/gst-0.10/gst/rtspserver.so
 %{_datadir}/gst-rtsp/0.10/defs/rtspserver-types.defs
 %{_datadir}/gst-rtsp/0.10/defs/rtspserver.defs
 
-%files python
+%files -n python2-gstreamer-rtsp
 %defattr(-,root,root,-)
 %{python_sitearch}/gst-0.10/gst/rtspserver.so
 
@@ -110,6 +113,10 @@ chrpath --delete %{buildroot}%{python_sitearch}/gst-0.10/gst/rtspserver.so
 %{_datadir}/vala/vapi/gst-rtsp-server-0.10.vapi
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.8-15
+- Python 2 subpackage renamed to python2-gstreamer-rtsp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gtk-vnc/gtk-vnc.spec gtk-vnc/gtk-vnc.spec.tmp
index 2f08d57616..fe444c5b2d 100644
--- gtk-vnc/gtk-vnc.spec
+++ gtk-vnc/gtk-vnc.spec.tmp
@@ -31,7 +31,7 @@
 Summary: A GTK2 widget for VNC clients
 Name: gtk-vnc
 Version: 0.7.1
-Release: 2%{?dist}%{?extra_release}
+Release: 3%{?dist}%{?extra_release}
 License: LGPLv2+
 Group: Development/Libraries
 Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.xz
@@ -70,12 +70,15 @@ allowing it to be completely asynchronous while remaining single threaded.
 
 Libraries, includes, etc. to compile with the gtk-vnc library
 
-%package python
+%package -n python2-gtk-vnc
+%{?python_provide:%python_provide python2-gtk-vnc}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for the gtk-vnc library
 Group: Development/Libraries
 Requires: %{name} = %{version}
 
-%description python
+%description -n python2-gtk-vnc
 gtk-vnc is a VNC viewer widget for GTK2. It is built using coroutines
 allowing it to be completely asynchronous while remaining single threaded.
 
@@ -243,7 +246,7 @@ rm -fr %{buildroot}
 %{_datadir}/gir-1.0/GtkVnc-1.0.gir
 %endif
 
-%files python
+%files -n python2-gtk-vnc
 %defattr(-, root, root)
 %doc gtk-vnc-%{version}/examples/gvncviewer-bindings.py
 %{_libdir}/python*/site-packages/gtkvnc.so
@@ -331,6 +334,10 @@ rm -fr %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-3
+- Python 2 subpackage renamed to python2-gtk-vnc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gupnp-igd/gupnp-igd.spec gupnp-igd/gupnp-igd.spec.tmp
index 4830fca327..b1e16b08db 100644
--- gupnp-igd/gupnp-igd.spec
+++ gupnp-igd/gupnp-igd.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           gupnp-igd
 Version:        0.2.4
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Library to handle UPnP IGD port mapping        
 
 Group:          System Environment/Libraries
@@ -19,12 +19,15 @@ BuildRequires:  pygtk2-devel
 %{name} is a library to handle UPnP IGD port mapping.
 
 
-%package        python
+%package        -n python2-gupnp-igd
+%{?python_provide:%python_provide python2-gupnp-igd}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for %{name}
 Group:          Development/Libraries
 Requires:       %{name} = %{version}-%{release}
 
-%description    python
+%description    -n python2-gupnp-igd
 The %{name}-python package contains the Python bindings for
 %{name}.
 
@@ -70,7 +73,7 @@ find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
 %{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib
 
 
-%files python
+%files -n python2-gupnp-igd
 %dir %{python_sitearch}/gupnp
 %{python_sitearch}/gupnp/*.py*
 %{python_sitearch}/gupnp/igd.so
@@ -85,6 +88,10 @@ find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-5
+- Python 2 subpackage renamed to python2-gupnp-igd
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git hamlib/hamlib.spec hamlib/hamlib.spec.tmp
index 5732b430af..095d2190c7 100644
--- hamlib/hamlib.spec
+++ hamlib/hamlib.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           hamlib
 Version:        3.1
-Release:        6%{?pre:.%{pre}}%{?dist}
+Release:        7%{?pre:.%{pre}}%{?dist}
 Summary:        Run-time library to control radio transceivers and receivers
 
 License:        GPLv2+ and LGPLv2+
@@ -87,13 +87,14 @@ Provides:       hamlib-perl = %{version}-%{release}
 Hamlib PERL Language bindings to allow radio control from PERL scripts.
 
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Hamlib radio control library Python binding
 Requires:       hamlib%{?_isa} = %{version}-%{release}, python
 Obsoletes:      hamlib-python < 3.0
 Provides:       hamlib-python = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Hamlib Python Language bindings to allow radio control from Python scripts.
 
 %package -n tcl-%{name}
@@ -217,7 +218,7 @@ fi
 %files -n perl-hamlib
 %{perl_vendorarch}/*
 
-%files -n python-hamlib
+%files -n python2-%{name}
 %{python2_sitearch}/*.py*
 %{python2_sitearch}/_Hamlib.so
 
@@ -227,6 +228,10 @@ fi
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1-7
+- Python 2 subpackage renamed to python2-hamlib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git heketi/heketi.spec heketi/heketi.spec.tmp
index ecd4be9892..4757cacae4 100644
--- heketi/heketi.spec
+++ heketi/heketi.spec.tmp
@@ -35,7 +35,7 @@
 
 Name:           %{repo}
 Version:        4.0.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        RESTful based volume management framework for GlusterFS
 License:        ASL 2.0
 URL:            https://%{provider_prefix}
@@ -166,7 +166,8 @@ License:        ASL 2.0
 Heketi and GlusterFS templates for Heketi
 
 
-%package -n python-heketi
+%package -n python2-heketi
+%{?python_provide:%python_provide python2-heketi}
 Summary:        Python libraries for Heketi
 Group:          System Environment/Libraries
 License:        ASL 2.0
@@ -175,7 +176,7 @@ Requires:       python-requests
 BuildRequires:  python-setuptools
 BuildRequires:  python2-devel
 
-%description -n python-heketi
+%description -n python2-heketi
 %{summary}
 
 This package contains python libraries for interacting with Heketi
@@ -357,7 +358,7 @@ getent passwd %{name} >/dev/null || useradd -r -g %{name} -d %{_sharedstatedir}/
 %{_sysconfdir}/init.d/%{name}
 %endif
 
-%files -n python-heketi
+%files -n python2-heketi
 %license LICENSE
 %doc README.md AUTHORS
 %{python_sitelib}/heketi
@@ -392,6 +393,10 @@ getent passwd %{name} >/dev/null || useradd -r -g %{name} -d %{_sharedstatedir}/
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.0.0-4
+- Python 2 subpackage renamed to python2-heketi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git hippo-canvas/hippo-canvas.spec hippo-canvas/hippo-canvas.spec.tmp
index 4aa6fb5393..145e173f1f 100644
--- hippo-canvas/hippo-canvas.spec
+++ hippo-canvas/hippo-canvas.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           hippo-canvas
 Version:        0.3.0
-Release:        21%{?dist}
+Release:        22%{?dist}
 Summary:        A canvas widget
 
 Group:          System Environment/Libraries
@@ -31,7 +31,10 @@ Requires:       %{name} = %{version}-%{release}
 The hippo-canvas-devel package contains libraries and header files for
 developing applications that use hippo-canvas.
 
-%package        python
+%package        -n python2-hippo-canvas
+%{?python_provide:%python_provide python2-hippo-canvas}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python module for hippo-canvas
 Group:          Development/Languages
 Requires:       %{name} = %{version}-%{release}
@@ -43,7 +46,7 @@ BuildRequires:  automake
 BuildRequires:  libtool
 BuildRequires:  gtk-doc
 
-%description    python 
+%description    -n python2-hippo-canvas
 The hippo-canvas-python package contains a Python interface.
 
 %prep
@@ -75,10 +78,14 @@ find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
 %{_libdir}/pkgconfig/hippo-canvas-1.pc
 %{_libdir}/*.so
 
-%files python
+%files -n python2-hippo-canvas
 %{python_sitearch}/*.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-22
+- Python 2 subpackage renamed to python2-hippo-canvas
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-21
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git hokuyoaist/hokuyoaist.spec hokuyoaist/hokuyoaist.spec.tmp
index bb3d404812..8a8ae4eaea 100644
--- hokuyoaist/hokuyoaist.spec
+++ hokuyoaist/hokuyoaist.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           hokuyoaist
 Version:        3.0.2
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Hokuyo Laser SCIP driver
 
 License:        LGPLv3
@@ -41,11 +41,12 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 %description devel
 Development libraries and header files for %{name}
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Python bindings for %{name}
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python bindings for %{name}
 
 %prep
@@ -89,10 +90,14 @@ rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-3
 %{_libdir}/pkgconfig/*.pc
 %{_libdir}/%{name}
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python_sitearch}/*.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.2-19
+- Python 2 subpackage renamed to python2-hokuyoaist
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git i2c-tools/i2c-tools.spec i2c-tools/i2c-tools.spec.tmp
index ae33410536..1e3cd010d0 100644
--- i2c-tools/i2c-tools.spec
+++ i2c-tools/i2c-tools.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           i2c-tools
 Version:        3.1.2
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A heterogeneous set of I2C tools for Linux
 License:        GPLv2+
 URL:            https://i2c.wiki.kernel.org/index.php/I2C_Tools
@@ -35,10 +35,13 @@ eeproms in your system is very dangerous and is likely to render your system
 unusable. Do not install, let alone use this, unless you really, _really_ know
 what you are doing.
 
-%package python
+%package -n python2-i2c-tools
+%{?python_provide:%python_provide python2-i2c-tools}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for Linux SMBus access through i2c-dev
 
-%description python
+%description -n python2-i2c-tools
 
 %package perl
 Summary:        i2c tools written in Perl
@@ -120,7 +123,7 @@ exit 0
 %{_sbindir}/eepro*
 %{_mandir}/man8/eepro*.8.gz
 
-%files python
+%files -n python2-i2c-tools
 %doc py-smbus/README
 #/usr/lib64/python2.7/site-packages/smbus-1.1-py2.7.egg-info
 #/usr/lib64/python2.7/site-packages/smbus.so
@@ -137,6 +140,10 @@ exit 0
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1.2-4
+- Python 2 subpackage renamed to python2-i2c-tools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ioprocess/ioprocess.spec ioprocess/ioprocess.spec.tmp
index 4cf4894a84..d48c5fb844 100644
--- ioprocess/ioprocess.spec
+++ ioprocess/ioprocess.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:		ioprocess
 Version:	0.17.0
-Release:	4%{?release_suffix}%{?dist}
+Release:	5%{?release_suffix}%{?dist}
 Summary:	Slave process to perform risky IO
 
 Group:		System Environment/Base
@@ -52,7 +52,8 @@ make install DESTDIR=%{buildroot}
 %doc README.md AUTHORS
 %license COPYING
 
-%package -n python-ioprocess
+%package -n python2-ioprocess
+%{?python_provide:%python_provide python2-ioprocess}
 Summary:	Python bindings for ioprocess
 BuildArch:	noarch
 BuildRequires:	python
@@ -64,10 +65,10 @@ Requires:	python-cpopen
 Requires:	python-six
 Requires:	%{name} = %{version}-%{release}
 
-%description -n python-ioprocess
+%description -n python2-ioprocess
 Python bindings for ioprocess
 
-%files -n python-ioprocess
+%files -n python2-ioprocess
 %{!?_licensedir:%global license %doc}
 %{python2_sitelib}/ioprocess-*.egg-info
 %{python2_sitelib}/ioprocess/
@@ -75,6 +76,10 @@ Python bindings for ioprocess
 %license COPYING
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.17.0-5
+- Python 2 subpackage renamed to python2-ioprocess
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git iscsi-initiator-utils/iscsi-initiator-utils.spec iscsi-initiator-utils/iscsi-initiator-utils.spec.tmp
index 3c6c62d19d..0b3e42fb01 100644
--- iscsi-initiator-utils/iscsi-initiator-utils.spec
+++ iscsi-initiator-utils/iscsi-initiator-utils.spec.tmp
@@ -6,7 +6,7 @@
 Summary: iSCSI daemon and utility programs
 Name: iscsi-initiator-utils
 Version: 6.%{open_iscsi_version}.%{open_iscsi_build}
-Release: 5.git%{shortcommit0}%{?dist}
+Release: 6.git%{shortcommit0}%{?dist}
 Group: System Environment/Daemons
 License: GPLv2+
 URL: http://www.open-iscsi.org
@@ -77,11 +77,12 @@ Requires: %{name} = %{version}-%{release}
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Python %{python2_version} bindings to %{name}
 Group: Development/Libraries
 
-%description -n python-%{name}
+%description -n python2-%{name}
 The %{name}-python2 package contains Python %{python2_version} bindings to the
 libiscsi interface for interacting with %{name}
 
@@ -273,13 +274,17 @@ fi
 %{_libdir}/libiscsi.so
 %{_includedir}/libiscsi.h
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/*
 
 %files -n python3-%{name}
 %{python3_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.2.0.874-6.git86e8892
+- Python 2 subpackage renamed to python2-iscsi-initiator-utils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0.874-5.git86e8892
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git isomd5sum/isomd5sum.spec isomd5sum/isomd5sum.spec.tmp
index 46616b4072..ac87fecca1 100644
--- isomd5sum/isomd5sum.spec
+++ isomd5sum/isomd5sum.spec.tmp
@@ -1,7 +1,7 @@
 Summary: Utilities for working with md5sum implanted in ISO images
 Name:    isomd5sum
 Version: 1.2.1
-Release: 2%{?dist}
+Release: 3%{?dist}
 Epoch: 1
 License: GPLv2+
 Group: Applications/System
@@ -26,11 +26,11 @@ Provides: %{name}-static = %{epoch}:%{version}-%{release}
 This contains header files and a library for working with the isomd5sum
 implanting and checking.
 
-%package -n python-isomd5sum
+%package -n python2-isomd5sum
 Summary: Python bindings for isomd5sum
-Provides: python2-isomd5sum = %{epoch}:%{version}-%{release}
+%{?python_provide:%python_provide python2-isomd5sum}
 
-%description -n python-isomd5sum
+%description -n python2-isomd5sum
 The isomd5sum package contains utilities for implanting and verifying
 an md5sum implanted into an ISO9660 image.
 
@@ -73,13 +73,17 @@ popd
 %{_includedir}/*.h
 %{_libdir}/*.a
 
-%files -n python-isomd5sum
+%files -n python2-isomd5sum
 %{python2_sitearch}/pyisomd5sum.so
 
 %files -n python3-isomd5sum
 %{python3_sitearch}/pyisomd5sum.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:1.2.1-3
+- Python 2 subpackage renamed to python2-isomd5sum
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.2.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git keybinder/keybinder.spec keybinder/keybinder.spec.tmp
index 8aace9fbff..70d7fc3835 100644
--- keybinder/keybinder.spec
+++ keybinder/keybinder.spec.tmp
@@ -1,6 +1,6 @@
 Name:	keybinder
 Version:	0.3.1
-Release:	6%{?dist}
+Release:	7%{?dist}
 Summary:	A library for registering global keyboard shortcuts
 Group:	Development/Libraries
 License:	MIT
@@ -33,7 +33,8 @@ Requires: pkgconfig
 This package contains the development files for %{name}.
 
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Group:		Development/Libraries
 License:	GPLv2+
 Summary:	Keybinder python bindings
@@ -43,7 +44,7 @@ Requires:	pygtk2 pygobject2
 %filter_provides_in %{python_sitearch}.*\.so$
 %filter_setup
 
-%description -n python-%{name}
+%description -n python2-%{name}
 This package contains python bindings for keybinder.
 
 %prep
@@ -82,12 +83,16 @@ rm -rf %{buildroot}
 %{_datadir}/gtk-doc
 %{_datadir}/gtk-doc/html/%{name}
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %defattr(-,root,root)
 %{python_sitearch}/%{name}
 %doc COPYING
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-7
+- Python 2 subpackage renamed to python2-keybinder
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git langtable/langtable.spec langtable/langtable.spec.tmp
index b78b64179b..685c196455 100644
--- langtable/langtable.spec
+++ langtable/langtable.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           langtable
 Version:        0.0.37
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Guessing reasonable defaults for locale, keyboard layout, territory, and language.
 Group:          Development/Tools
 # the translations in languages.xml and territories.xml are (mostly)
@@ -30,14 +30,17 @@ example, guess the territory and the keyboard layout if the language
 is known or guess the language and keyboard layout if the territory is
 already known.
 
-%package python
+%package -n python2-langtable
+%{?python_provide:%python_provide python2-langtable}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python module to query the langtable-data
 Group:          Development/Tools
 License:        GPLv3+
 Requires:       %{name} = %{version}-%{release}
 Requires:       %{name}-data = %{version}-%{release}
 
-%description python
+%description -n python2-langtable
 This package contains a Python module to query the data
 from langtable-data.
 
@@ -104,7 +107,7 @@ xmllint --noout --relaxng $RPM_BUILD_ROOT/%{_datadir}/langtable/schemas/timezone
 %dir %{_datadir}/langtable/
 %{_datadir}/langtable/schemas
 
-%files python
+%files -n python2-langtable
 %{python_sitelib}/*
 
 %if 0%{?with_python3}
@@ -119,6 +122,10 @@ xmllint --noout --relaxng $RPM_BUILD_ROOT/%{_datadir}/langtable/schemas/timezone
 %{_datadir}/langtable/*.xml.gz
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.37-3
+- Python 2 subpackage renamed to python2-langtable
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.37-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lash/lash.spec lash/lash.spec.tmp
index 1b7e07b4eb..3d91c3e353 100644
--- lash/lash.spec
+++ lash/lash.spec.tmp
@@ -3,7 +3,7 @@
 Summary:      LASH Audio Session Handler
 Name:         lash
 Version:      0.5.4
-Release:      29%{?dist}
+Release:      30%{?dist}
 License:      GPLv2+
 Group:        System Environment/Libraries
 URL:          http://www.nongnu.org/lash/
@@ -49,12 +49,13 @@ Requires:     libuuid-devel
 %description devel
 Development files for the LASH library.
 
-%package -n python-lash
+%package -n python2-lash
+%{?python_provide:%python_provide python2-lash}
 Summary:      Python wrapper for LASH
 Group:        System Environment/Libraries
 Requires:     %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-lash
+%description -n python2-lash
 Contains Python language bindings for developing Python applications that use
 LASH.
 
@@ -163,11 +164,15 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 %{_includedir}/lash-1.0
 %{_libdir}/pkgconfig/lash*
 
-%files -n python-lash
+%files -n python2-lash
 %{python_sitearch}/_lash.so
 %{python_sitearch}/lash.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-30
+- Python 2 subpackage renamed to python2-lash
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-29
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lasso/lasso.spec lasso/lasso.spec.tmp
index 49906e02b3..97edf5a9d2 100644
--- lasso/lasso.spec
+++ lasso/lasso.spec.tmp
@@ -15,7 +15,7 @@
 Summary: Liberty Alliance Single Sign On
 Name: lasso
 Version: 2.5.1
-Release: 6%{?dist}
+Release: 7%{?dist}
 License: GPLv2+
 Group: System Environment/Libraries
 Source: http://dev.entrouvert.org/lasso/lasso-%{version}.tar.gz
@@ -96,7 +96,10 @@ PHP language bindings for the lasso (Liberty Alliance Single Sign On) library.
 %endif
 
 %if %{with_python}
-%package python
+%package -n python2-lasso
+%{?python_provide:%python_provide python2-lasso}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Liberty Alliance Single Sign On (lasso) Python bindings
 Group: Development/Libraries
 BuildRequires: python2-devel
@@ -104,7 +107,7 @@ BuildRequires: python-lxml
 Requires: python
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-lasso
 Python language bindings for the lasso (Liberty Alliance Single Sign On)
 library.
 %endif
@@ -219,13 +222,17 @@ rm -fr %{buildroot}%{_defaultdocdir}/%{name}
 %endif
 
 %if %{with_python}
-%files python
+%files -n python2-lasso
 %defattr(-,root,root)
 %{python_sitearch}/lasso.py*
 %{python_sitearch}/_lasso.so
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.5.1-7
+- Python 2 subpackage renamed to python2-lasso
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lcms/lcms.spec lcms/lcms.spec.tmp
index 229d76bd6d..e4c230114d 100644
--- lcms/lcms.spec
+++ lcms/lcms.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           lcms
 Version:        1.19
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        Color Management System
 
 Group:          Applications/Productivity
@@ -42,13 +42,14 @@ Obsoletes:      lcms < 1.17-3
 %description    libs
 The %{name}-libs package contains library for %{name}.
 
-%package     -n python-%{name}
+%package     -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python interface to LittleCMS
 Group:          Development/Libraries
 Requires:       python
 Provides:       python-littlecms = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python interface to LittleCMS.
 
 
@@ -128,12 +129,16 @@ rm -rf ${RPM_BUILD_ROOT}
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/%{name}.pc
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python_sitearch}/lcms.py*
 %{python_sitearch}/_lcms.so
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.19-20
+- Python 2 subpackage renamed to python2-lcms
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ldns/ldns.spec ldns/ldns.spec.tmp
index 05607e2518..0d4378f31e 100644
--- ldns/ldns.spec
+++ ldns/ldns.spec.tmp
@@ -26,7 +26,7 @@
 Summary: Low-level DNS(SEC) library with API
 Name: ldns
 Version: 1.7.0
-Release: 6%{?dist}
+Release: 7%{?dist}
 
 License: BSD
 Url: http://www.nlnetlabs.nl/%{name}/
@@ -81,13 +81,14 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 Collection of tools to get, check or alter DNS(SEC) data.
 
 %if %{with_python}
-%package -n python-ldns
+%package -n python2-ldns
+%{?python_provide:%python_provide python2-ldns}
 Summary: Python extensions for ldns
 Group: Applications/System
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
 
-%description -n python-ldns
+%description -n python2-ldns
 Python extensions for ldns
 %endif
 
@@ -257,7 +258,7 @@ rm -rf %{buildroot}
 %{_mandir}/man3/*
 
 %if %{with_python}
-%files -n python-ldns
+%files -n python2-ldns
 %{python_sitearch}/*
 %endif
 
@@ -271,6 +272,10 @@ rm -rf %{buildroot}
 %doc doc
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.0-7
+- Python 2 subpackage renamed to python2-ldns
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ledger/ledger.spec ledger/ledger.spec.tmp
index 994164202f..2a67f46e68 100644
--- ledger/ledger.spec
+++ ledger/ledger.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:             ledger
 Version:          3.1.1
-Release:          8%{?dist}
+Release:          9%{?dist}
 Summary:          A powerful command-line double-entry accounting system
 License:          BSD
 URL:              http://ledger-cli.org/
@@ -42,10 +42,13 @@ from the UNIX command-line. This may put off some users — as there is
 no flashy UI — but for those who want unparalleled reporting access to
 their data, there really is no alternative.
 
-%package python
+%package -n python2-ledger
+%{?python_provide:%python_provide python2-ledger}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for %{name}
 Requires: %{name} = %{version}-%{release}
-%description python
+%description -n python2-ledger
 Python bindings for ledger.
 
 %package devel
@@ -186,7 +189,7 @@ fi
 %dir %{_emacs_sitelispdir}/ledger-mode
 %{_emacs_sitelispdir}/ledger-mode/*.el
 
-%files python
+%files -n python2-ledger
 %{python2_sitearch}/ledger.so
 
 %files devel
@@ -195,6 +198,10 @@ fi
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1.1-9
+- Python 2 subpackage renamed to python2-ledger
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Iliana Weller <ilianaw@buttslol.net> - 3.1.1-8
 - Apply patch to fix builds on boost 1.61+ (#1423835)
 
